<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>i3plus.ext.mes</groupId>
    <artifactId>i3plus-ext-mes</artifactId>
    <version>1.0.0.1</version>
    <packaging>pom</packaging>

    <modules>
        <module>modules/i3plus-ext-mes-api</module>
        <module>modules/i3plus-ext-mes-apiservice</module>
        <module>modules/i3plus-ext-mes-pojo</module>
        <module>modules/i3plus-ext-mes-icloud</module>
    </modules>

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.0.3.RELEASE</version>
        <relativePath/>
    </parent>

    <properties>
        <project.name>i3plus-ext-mes</project.name>
        <java.version>1.8</java.version>
        <log4j2.level>INFO</log4j2.level>
        <skipTests>true</skipTests>
        <app.charset>UTF-8</app.charset>

        <!--临时版本start-->
        <impp.framework.version>1.0.0.3-patch</impp.framework.version>
        <i3plus.pojo.version>1.0.0.1-patch</i3plus.pojo.version>
        <i3plus.platform.version>1.0.0.1-patch</i3plus.platform.version>
        <i3plus.icloud.version>1.0.0.1-patch</i3plus.icloud.version>
        <i3plus.mes.version>1.0.0.5-patch</i3plus.mes.version>
        <i3plus.mes.apiservice.version>1.0.0.5-patch</i3plus.mes.apiservice.version>
        <i3plus.mes.api.version>1.0.0.5-patch</i3plus.mes.api.version>
        <!--临时版本end-->

        <log4j2.version>2.17.1</log4j2.version>
    </properties>


    <dependencyManagement>
        <dependencies>

            <!--临时版本start-->
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-web</artifactId>
                <version>5.0.16.RELEASE</version>
            </dependency>

            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-webmvc</artifactId>
                <version>5.0.16.RELEASE</version>
            </dependency>
            <!--临时版本end-->

            <dependency>
                <groupId>i3plus.icloud</groupId>
                <artifactId>i3plus-icloud</artifactId>
                <version>${i3plus.icloud.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <dependency>
                <groupId>i3plus.pojo</groupId>
                <artifactId>i3plus-pojo</artifactId>
                <version>${i3plus.pojo.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <dependency>
                <groupId>i3plus.platform</groupId>
                <artifactId>i3plus-platform</artifactId>
                <version>${i3plus.platform.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <dependency>
                <groupId>i3plus.mes</groupId>
                <artifactId>i3plus-mes</artifactId>
                <version>${i3plus.mes.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <dependency>
                <groupId>i3plus.mes</groupId>
                <artifactId>i3plus-mes-apiservice</artifactId>
                <version>${i3plus.mes.apiservice.version}</version>
            </dependency>

            <dependency>
                <groupId>i3plus.mes</groupId>
                <artifactId>i3plus-mes-api</artifactId>
                <version>${i3plus.mes.api.version}</version>
            </dependency>

            <dependency>
                <groupId>i3plus.ext.mes</groupId>
                <artifactId>i3plus-ext-mes-api</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>i3plus.ext.mes</groupId>
                <artifactId>i3plus-ext-mes-pojo</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>i3plus.ext.mes</groupId>
                <artifactId>i3plus-ext-mes-icloud</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>impp.framework</groupId>
                <artifactId>impp-framework-boot</artifactId>
                <version>${impp.framework.version}</version>
            </dependency>

            <dependency>
                <groupId>org.elasticsearch.client</groupId>
                <artifactId>elasticsearch-rest-client</artifactId>
                <version>7.5.1</version>
            </dependency>
            <dependency>
                <groupId>org.elasticsearch</groupId>
                <artifactId>elasticsearch</artifactId>
                <version>7.5.1</version>
            </dependency>
            <dependency>
                <groupId>org.elasticsearch.client</groupId>
                <artifactId>elasticsearch-rest-high-level-client</artifactId>
                <version>7.5.1</version>
            </dependency>

            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi-ooxml-schemas</artifactId>
                <version>4.1.2</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <!-- 私有仓库引用配置 -->
    <repositories>
        <repository>
            <id>nexus</id>
            <url>http://mvn.estsh.com/repository/maven-public/</url>
        </repository>
    </repositories>

    <!-- 私有仓库Jar 包更新配置 -->
    <distributionManagement>
        <repository>
            <id>maven-releases</id>
            <name>Nexus ReleaseRepository</name>
            <url>http://mvn.estsh.com/repository/maven-releases/</url>
        </repository>
        <snapshotRepository>
            <id>maven-snapshots</id>
            <name>Nexus SnapshotRepository</name>
            <url>http://mvn.estsh.com/repository/maven-snapshots/</url>
        </snapshotRepository>
    </distributionManagement>

    <build>
        <plugins>
            <!-- maven编译的一些插件 -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <version>${maven-jar-plugin.version}</version>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>${maven-compiler-plugin.version}</version>
                <configuration>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                    <encoding>${app.charset}</encoding>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>${maven-surefire-plugin.version}</version>
            </plugin>
        </plugins>

        <finalName>${project.artifactId}-${project.version}</finalName>
    </build>

</project>
